Package org.apache.sysds.runtime.matrix.data

## Enum RandomMatrixGenerator.PDF

- java.lang.Object
- - java.lang.Enum<RandomMatrixGenerator.PDF>
  - - org.apache.sysds.runtime.matrix.data.RandomMatrixGenerator.PDF

All Implemented Interfaces:
  `Serializable`, `Comparable<RandomMatrixGenerator.PDF>`

Enclosing class:
  RandomMatrixGenerator

    public static enum RandomMatrixGenerator.PDF
    extends Enum<RandomMatrixGenerator.PDF>

Types of Probability density functions

### Enum Constant Summary

Enum Constants
`NORMAL`
`POISSON`
`UNIFORM`

### Method Summary

All Methods Static Methods Concrete Methods
`static RandomMatrixGenerator.PDF` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RandomMatrixGenerator.PDF[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NORMAL

    public static final RandomMatrixGenerator.PDF NORMAL

#### UNIFORM

    public static final RandomMatrixGenerator.PDF UNIFORM

#### POISSON

    public static final RandomMatrixGenerator.PDF POISSON

### Method Detail

#### values

    public static RandomMatrixGenerator.PDF[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RandomMatrixGenerator.PDF c : RandomMatrixGenerator.PDF.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RandomMatrixGenerator.PDF valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null